Bug 467325 - (mingw32-iconv) Review Request: mingw32-iconv - GNU libraries and utilities for character set conversion
Review Request: mingw32-iconv - GNU libraries and utilities for character set...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On: 454410
Blocks: mingw32-gettext mingw32-glib2 mingw32-atk mingw32-gnutls mingw32-cairo mingw32-pango mingw32-gtk2 mingw32-SDL mingw32-opensc
  Show dependency treegraph
 
Reported: 2008-10-16 16:48 EDT by Richard W.M. Jones
Modified: 2009-03-23 17:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 06:34:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbrobinson: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-10-16 16:48:11 EDT
Spec URL: http://hg.et.redhat.com/misc/fedora-mingw--devel/?cmd=manifest;manifest=5a13b9537a4127d600157e3cb12504542bd13651;path=/iconv/
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-9/src/SRPMS/mingw32-iconv-1.12-4.fc9.src.rpm
Description: GNU libraries and utilities for producing multi-lingual messages

Note there is no native equivalent of this package.  Its
functionality is supplied by glibc.

The approved packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 Richard W.M. Jones 2008-11-03 05:23:32 EST
Spec URL: http://www.annexia.org/tmp/mingw32-iconv.spec
SRPM URL: http://www.annexia.org/tmp/mingw32-iconv-1.12-5.fc10.src.rpm

* Mon Nov  3 2008 Richard W.M. Jones <rjones@redhat.com> - 0.17-5
- Changed the summary (Bruno Haible).
- Note about mingw32-gettext / Remove *.mo files.
Comment 3 Peter Robinson 2008-12-19 04:38:34 EST
Only issue is the license isn't included.

+ rpmlint output

rpmlint -i mingw32-iconv-1.12-5.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license

- %doc includes license file
  no license file included
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  c2be282595751535a618ae0edeb8f648  libiconv-1.12.tar.gz
+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

+ if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
Comment 4 Richard W.M. Jones 2008-12-19 05:26:55 EST
Thanks for looking at all these.

Here's an updated version with the license files included:

Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/file/tip/iconv/mingw32-iconv.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-10/src/SRPMS/mingw32-iconv-1.12-7.fc10.src.rpm

* Fri Dec 19 2008 Richard W.M. Jones <rjones@redhat.com> - 1.12-7               
- Include the license files in doc section.                                     
- Fix the changelog entry numbering.
Comment 5 Peter Robinson 2008-12-19 05:38:39 EST
APPROVED!
Comment 6 Richard W.M. Jones 2008-12-19 05:47:56 EST
New Package CVS Request
=======================
Package Name: mingw32-iconv
Short Description: GNU libraries and utilities for character set conversion
Owners: rjones berrange lfarkas
Branches: EL-5 F-10
InitialCC:
Comment 7 Kevin Fenzi 2008-12-20 23:25:25 EST
cvs done.
Comment 8 Richard W.M. Jones 2008-12-21 06:33:37 EST
Thanks Peter and Kevin.

Imported and built.

Note You need to log in before you can comment on or make changes to this bug.